Bug 478532 - Windows do not properly redraw to screen when a something moves
Windows do not properly redraw to screen when a something moves
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-31 10:49 EST by Matthew Daniels
Modified: 2009-12-04 12:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:57:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Firefox after I jiggled it around the desktop a bit. (544.09 KB, image/png)
2008-12-31 10:49 EST, Matthew Daniels
no flags Details
Xorg log file (69.58 KB, text/plain)
2009-02-14 00:03 EST, Matthew Daniels
no flags Details

  None (edit)
Description Matthew Daniels 2008-12-31 10:49:55 EST
Created attachment 328017 [details]
Firefox after I jiggled it around the desktop a bit.

Description of problem:

I'm running F10 on i386.  If I do something that moves a component(s) in a window, such as scrolling, clicking on something, or moving the window (especially moving the window), the stuff displayed in said window fails to redraw properly and often ends up kind of scrambled.  I can usually fix this by forcing the window to redraw itself (like moving it offscreen and then back on, or by, say, switching tabs in firefox).  I'm using Fluxbox and it tends to happen pretty badly here, although the problem does also occur in GNOME.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot my computer into a graphical DE
2. Move a window, scroll down a page too quickly, or do something else fast
3. Observe the messed up image
  
Actual results:

The window is mixed up.  For example, the left side of the window is lower than the right side (so that a textbox wouldn't line up properly, so to speak).  Sometimes, the window appears to draw correctly but trying mouse-over a link or click a button reveals that the entire image draw to screen is displaced from where the program thinks it actually should be.

Expected results:

It looks correct!

Additional info:

This mostly happens in Firefox, because Firefox is about the only graphical program I use.  But I know it isn't just a Firefox issue because it occassionally happens to my gnome-terminals as well, and I've opened some other programs like gedit or pidgin that do the same thing.  It's not like it takes a little extra time to draw the window correctly; it just never happens, no matter how long you wait.  The screenshot is of my firefox window after I moved it around some.
Comment 1 Matěj Cepl 2009-01-07 15:00:37 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2009-02-08 12:24:22 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Matthew Daniels 2009-02-08 12:29:48 EST
I apologize; I've been away from my computer for about a month now.  I'll try to ssh in tonight and grab my xorg.conf and logs for you, but I won't be able to re-observe the actual display until this weekend, Feb 13-15.

I appreciate the work you do for Fedora, and I'm sorry this is taking so long.  I'll get you some data soon.
Comment 4 Matthew Daniels 2009-02-14 00:03:05 EST
Created attachment 331898 [details]
Xorg log file
Comment 5 Matthew Daniels 2009-02-14 00:03:56 EST
Unfortunately, my Xorg.conf file isn't available (I don't have one, oddly; at least, not where it should be, and it's not showing up with locate).
Comment 6 Vedran Miletić 2009-11-05 18:12:05 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Bug Zapper 2009-11-18 05:36:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Vedran Miletić 2009-12-04 12:57:32 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.